Cygterm

Cygterm+ をコンパイルする Cygwin のバージョンと、Cygterm+ 動作させる Cygwin のバージョン

コンパイル\動作1.51.71.7 64bit
1.5×
1.7××
1.7 64bit××

※2013年2月に Cygwin 1.5 はサイトから削除されたため、Cygwin 1.5 環境を新規に構築することは難しい
http://cygwin.com/ml/cygwin/2013-02/msg00073.html

Visual Studio

Visual Studio バージョン

Product nameVersion numberMSVC versionSDK
20037.113.1
20058.014
20089.015v6.0a
201010.016v7.0a
201211.017v8.0A
201312.018v8.1A
201514.019v10
201715.019.1v10
201916.019.2v10

Visual Studio の動作する環境

XPVista788.110
2003×××××
2005×××
2008×××
2010
2012××
2013××
2015××
2017×××
2019×××

https://www.microsoft.com/ja-jp/dev/support/tools.aspx
http://www.microsoft.com/ja-jp/download/details.aspx?id=40763

Visual Studio でビルドしたバイナリの動作する環境

9598MeNT 4.02000XPVista7810
2003
2005×
2008××××
2010×××××
2012×××××
2013×××××○*
2015×××××○*
2017×××××○*
2019×××××○*

*XP 用の Platfotm Toolset を選択する必要がある

http://en.wikipedia.org/wiki/Visual_C%2B%2B#32-bit_versions
http://msdn.microsoft.com/en-us/library/ms235435(v=vs.80).aspx
http://msdn.microsoft.com/en-us/library/ms235435(v=VS.90).aspx
http://msdn.microsoft.com/en-us/library/ms235435(v=VS.100).aspx
http://msdn.microsoft.com/en-us/library/ms235435(v=vs.110).aspx
http://msdn.microsoft.com/en-us/library/ms235435(v=vs.120).aspx
http://msdn.microsoft.com/en-us/library/ms235435(v=vs.140).aspx
https://docs.microsoft.com/en-us/visualstudio/productinfo/vs2017-compatibility-vs
https://docs.microsoft.com/en-us/visualstudio/releases/2019/compatibility

※Tera Term では Windows 95 で動作するバイナリを Visual Studio 2005 で生成するよう工夫している
https://ttssh2.osdn.jp/manual/4/ja/reference/sourcecode.html#compatibility

※Visual Studio 2013 では MBCS 用 MFC ライブラリが標準でバンドルされなくなった
http://msdn.microsoft.com/ja-jp/library/5z097dxa.aspx

※Visual Studio 2015 から、ふたたび MBCS 用 MFC ライブラリが標準でバンドルされるようになった

Note

  • 各バージョンのSDK

https://blogs.msdn.microsoft.com/japan_platform_sdkwindows_sdk_support_team_blog/2011/04/21/windows-sdk/

  • VCバージョン別 各バイナリのバージョン

http://rayflood.org/mozilla/msvc_version.html

Microsoft による Windows サポート

Windowsサポート終了
952001/12/31
982006/7/11
Me2006/7/11
NT 4.0 SP6a2004/12/31
2000 SP42010/7/13
XP SP32014/4/8
Vista SP22018/4/11
7 SP12020/1/14
8.12023/1/10
10